Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.pear.util
Class FileUtil.FileTimeComparator

    java.lang.Object
      org.apache.uima.pear.util.FileUtil.FileTimeComparator

All Implemented Interfaces:
  Comparator

Enclosing class:
  FileUtil

    public static class FileUtil.FileTimeComparator

extends Object
implements Comparator

The `FileTimeComparator` class allows comparing 'last modified' time in 2 given `File` objects.

Constructor Summary
`FileUtil.FileTimeComparator()`

Method Summary
`int` | `compare(Object o1, Object o2)`
`boolean` | `equals(Object obj)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtil.FileTimeComparator

    public FileUtil.FileTimeComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)
                throws ClassCastException

  Specified by:
    `compare` in interface `Comparator`
  Returns:
    A negative integer, zero, or a positive integer as the first argument is less than, equal to, or greater than the second.
  Throws:
    `ClassCastException` - if the arguments' types prevent them from being compared by this `Comparator`.

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Comparator`
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - The reference object with which to compare.
  Returns:
    `true` only if the specified object is also a `FileTimeComparator`, and it imposes the same ordering as this comparator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.